import Control.Parallel
import List (delete)

ssort    :: (Ord a) => [a] -> [a]
ssort [] = []
ssort xs = m : ssort (delete m xs)
           where m = minimum xs

eqList       :: (Ord a) => [a] -> [a] -> Bool
eqList xs ys = a `par` (b `pseq` (a == b))
               where a = ssort xs
                     b = ssort ys

l1 = reverse [1..15000]
l2 = reverse [1..15001]

main = do print $ eqList l1 l2

